mig(1)

NAME

mig - message interface generator for TinyOS

SYNOPSIS

mig [any ncc option] [tool-specific options]
    [-o output-file]
    tool msg-format-file message-type

DESCRIPTION

mig is a tool to generate code to process TinyOS messages (which are specified by C types).

mig options is equivalent to nescc-mig -nescc=ncc options. For details on mig's output and options, please read see the nescc-mig man page.

EXAMPLE

    APPDIR=`ncc -print-tosdir`/../apps/Ident
    mig java -I $APPDIR -target=mica2 \
      -java-classname=net.tinyos.ident.IdentMsg \
      $APPDIR/App.nc IdentMsg -o IdentMsg.java

SEE ALSO

ncc(1), nescc-mig(1), ncg(1)